Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359556 - python-cliapp-1.20180121.orig is available [NEEDINFO]
Summary: python-cliapp-1.20180121.orig is available
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-cliapp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1468071
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2016-07-25 00:21 UTC by Upstream Release Monitoring
Modified: 2019-02-10 04:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:
jberan: needinfo? (michel)
jberan: needinfo? (michel)


Attachments (Terms of Use)

Description Upstream Release Monitoring 2016-07-25 00:21:35 UTC
Latest upstream release: 1.20160724.orig
Current version/release in rawhide: 1.20160316-2.fc25
URL: http://code.liw.fi/debian/pool/main/p/python-cliapp/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3801/

Comment 1 Upstream Release Monitoring 2016-07-25 00:21:59 UTC
Rebase helper failed.
See logs and attachments in this bugzilla 'NoneType' object has no attribute 'get_rebasehelper_data'

Comment 2 Upstream Release Monitoring 2016-07-25 00:22:19 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-p0IvE3/python-cliapp.spec
return code:  22
stdout:
Getting http://code.liw.fi/debian/pool/main/p/python-cliapp/python-cliapp_1.20160724.orig.orig.tar.xz to ./python-cliapp_1.20160724.orig.orig.tar.xz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 3 Upstream Release Monitoring 2017-08-20 12:23:16 UTC
Latest upstream release: 1.20170820.orig
Current version/release in rawhide: 1.20160724-4.fc28
URL: http://code.liw.fi/debian/pool/main/p/python-cliapp/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3801/

Comment 4 Upstream Release Monitoring 2017-08-20 12:23:21 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting http://code.liw.fi/debian/pool/main/p/python-cliapp/python-cliapp_1.20170820.orig.orig.tar.xz to ./python-cliapp_1.20170820.orig.orig.tar.xz

Comment 5 Upstream Release Monitoring 2017-08-24 00:22:55 UTC
Latest upstream release: 1.20170823.orig
Current version/release in rawhide: 1.20160724-4.fc28
URL: http://code.liw.fi/debian/pool/main/p/python-cliapp/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3801/

Comment 6 Upstream Release Monitoring 2017-08-24 00:23:00 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting http://code.liw.fi/debian/pool/main/p/python-cliapp/python-cliapp_1.20170823.orig.orig.tar.xz to ./python-cliapp_1.20170823.orig.orig.tar.xz

Comment 7 Upstream Release Monitoring 2017-08-27 12:22:34 UTC
Latest upstream release: 1.20170827.orig
Current version/release in rawhide: 1.20160724-6.fc28
URL: http://code.liw.fi/debian/pool/main/p/python-cliapp/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3801/

Comment 8 Upstream Release Monitoring 2017-08-27 12:22:39 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting http://code.liw.fi/debian/pool/main/p/python-cliapp/python-cliapp_1.20170827.orig.orig.tar.xz to ./python-cliapp_1.20170827.orig.orig.tar.xz

Comment 9 Jan Beran 2017-12-08 13:53:47 UTC
Hello Michel,

I created a Pagure PR that provides the new version and Python 3 subpackage:

https://src.fedoraproject.org/rpms/python-cliapp/pull-request/2

Please, may I ask to review and rebuild?

Note, that

* it depends on https://src.fedoraproject.org/rpms/python-coverage-test-runner/pull-request/2
* the upstream release monitoring refers to the package's source URL that does not exist; the URL should be http://code.liw.fi/debian/pool/main/p/python-cliapp/python-cliapp_1.20170827.orig.tar.xz

Comment 10 Upstream Release Monitoring 2018-01-22 00:21:12 UTC
Latest upstream release: 1.20180121.orig
Current version/release in rawhide: 1.20160724-6.fc28
URL: http://code.liw.fi/debian/pool/main/p/python-cliapp/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3801/

Comment 11 Upstream Release Monitoring 2018-01-22 00:21:18 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting http://code.liw.fi/debian/pool/main/p/python-cliapp/python-cliapp_1.20180121.orig.orig.tar.xz to ./python-cliapp_1.20180121.orig.orig.tar.xz

Comment 12 Jan Beran 2018-01-31 11:31:04 UTC
I have created a new PR that provides the new version 1.20180121 and Python 3 subpackage:

https://src.fedoraproject.org/rpms/python-cliapp/pull-request/3

Comment 13 Jan Beran 2018-02-22 13:33:51 UTC
Hello Michel,

may I ask for your review of the PR [https://src.fedoraproject.org/rpms/python-cliapp/pull-request/3]?

Comment 14 Fedora Update System 2019-02-08 04:26:55 UTC
python-cliapp-1.20180121-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-258f903de2

Comment 15 Fedora Update System 2019-02-10 04:28:14 UTC
python-cliapp-1.20180121-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-258f903de2


Note You need to log in before you can comment on or make changes to this bug.